<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Task 3</title>
    <link rel="stylesheet" href="css/normalize.css" />
    <link rel="stylesheet" href="css/style.css" />
  </head>
  <body>
    <div class="wrap" id="wrap">
      <h1>Переключение слайдера</h1>
      <div class="roadMap__container yellow">
        <button class="navButton" data-direction="<"> Prev </button>
        <div class="roadMap">
          <div class="roadMapPoint" data-id="1"></div>
          <div class="roadMapPoint ball" data-id="2"></div>
          <div class="roadMapPoint" data-id="3"></div>
          <div class="roadMapPoint" data-id="4"></div>
          <div class="roadMapPoint" data-id="5"></div>
          <div class="roadMapPoint" data-id="6"></div>
          <div class="roadMapPoint" data-id="7"></div>
          <div class="roadMapPoint" data-id="8"></div>
        </div>
        <button class="navButton" data-direction=">"> Next </button>
      </div>

      <div class="roadMap__container red">
        <button class="navButton" data-direction="<"> Prev </button>
        <div class="roadMap">
          <div class="roadMapPoint" data-id="1"></div>
          <div class="roadMapPoint" data-id="2"></div>
          <div class="roadMapPoint ball" data-id="3"></div>
          <div class="roadMapPoint" data-id="4"></div>
          <div class="roadMapPoint" data-id="5"></div>
          <div class="roadMapPoint" data-id="6"></div>
          <div class="roadMapPoint" data-id="7"></div>
        </div>
        <button class="navButton" data-direction=">"> Next </button>
      </div>

      <div class="roadMap__container blue">
        <button class="navButton" data-direction="<"> Prev </button>
        <div class="roadMap">
          <div class="roadMapPoint" data-id="1"></div>
          <div class="roadMapPoint ball" data-id="2"></div>
          <div class="roadMapPoint" data-id="3"></div>
          <div class="roadMapPoint" data-id="4"></div>
        </div>
        <button class="navButton" data-direction=">"> Next </button>
      </div>

      <div class="roadMap__container red">
          <button class="navButton" data-direction="<"> Prev </button>
          <div class="roadMap">
            <div class="roadMapPoint" data-id="1"></div>
            <div class="roadMapPoint ball" data-id="2"></div>
          </div>
          <button class="navButton" data-direction=">"> Next </button>
        </div>
  
        <div class="roadMap__container blue">
          <button class="navButton" data-direction="<"> Prev </button>
          <div class="roadMap">
            <div class="roadMapPoint" data-id="1"></div>
            <div class="roadMapPoint ball" data-id="2"></div>
            <div class="roadMapPoint" data-id="3"></div>
            <div class="roadMapPoint" data-id="4"></div>
          </div>
          <button class="navButton" data-direction=">"> Next </button>
        </div>
    </div>
    <script>

      /*
        Задание:

        Написать скрипт, который будет приводить в действие переключалки из разметки.
        И будет перемещать класс ball по точкам в зависимости от нажатой кнопки

      */

      let containers = document.querySelectorAll('.roadMap__container');
      containers.forEach( function( container ){
        let navButton = container.querySelectorAll('.navButton');

        navButton.forEach(function (btn) {
          btn.addEventListener('click', navHandler);
        })

        function navHandler (e) {
          let direction = e.target.dataset.direction;
          let ball = container.querySelector('.ball');
          let currentPosition = +ball.dataset.id;

          let points = container.querySelectorAll('.roadMapPoint');
          let sliderLength = points.length;

          let newPosition;
          if (direction === '>') {
            newPosition = (currentPosition < sliderLength) ? currentPosition + 1 : 1;
          } else {
            newPosition = (currentPosition > 1) ? currentPosition - 1 : sliderLength;
          }

          points.forEach(function (point) {
            if (point.dataset.id != newPosition) {
              point.classList.remove('ball');
            } else {
              point.classList.add('ball');
            }
          });
        }
      });

    </script>
  </body>

</html>
